﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VEIS.Plugins
{
    public class TestData
    {
        public static string SelectedPersonResponse = @"
{
    ""CorrespondingIdList"": [
        {
            ""PatientIdentifier"": ""361"",
            ""IdentifierType"": ""PI"",
            ""AssigningFacility"": ""200VETS"",
            ""AssigningAuthority"": ""USDVA"",
            ""RawValueFromMvi"": ""361^PI^200VETS^USDVA^A"",
            ""AuthorityOid"": null,
            ""OrganizationName"": null,
            ""UserId"": ""00000000-0000-0000-0000-000000000000"",
            ""UserFirstName"": null,
            ""UserLastName"": null,
            ""LogTiming"": false,
            ""LogSoap"": false,
            ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
            ""MessageId"": ""12f3fcf4-31a4-4b4c-8d9c-1c82970d65a2""
        },
        {
            ""PatientIdentifier"": ""100003416"",
            ""IdentifierType"": ""PI"",
            ""AssigningFacility"": ""500"",
            ""AssigningAuthority"": ""USVHA"",
            ""RawValueFromMvi"": ""100003416^PI^500^USVHA^A"",
            ""AuthorityOid"": null,
            ""OrganizationName"": null,
            ""UserId"": ""00000000-0000-0000-0000-000000000000"",
            ""UserFirstName"": null,
            ""UserLastName"": null,
            ""LogTiming"": false,
            ""LogSoap"": false,
            ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
            ""MessageId"": ""71918ee2-069d-486f-8bbd-04671b6e4a92""
        },
        {
            ""PatientIdentifier"": ""1008591712V479586"",
            ""IdentifierType"": ""NI"",
            ""AssigningFacility"": ""200M"",
            ""AssigningAuthority"": ""USVHA"",
            ""RawValueFromMvi"": ""1008591712V479586^NI^200M^USVHA^P"",
            ""AuthorityOid"": null,
            ""OrganizationName"": null,
            ""UserId"": ""00000000-0000-0000-0000-000000000000"",
            ""UserFirstName"": null,
            ""UserLastName"": null,
            ""LogTiming"": false,
            ""LogSoap"": false,
            ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
            ""MessageId"": ""06ba9b3f-59d7-4a4a-947f-d06f63f4da4e""
        }
    ],
    ""ReplacementIdList"": [],
    ""ExceptionOccured"": false,
    ""Message"": null,
    ""RawMviExceptionMessage"": null,
    ""OrganizationName"": ""CRMEDEV"",
    ""Url"": null,
    ""SocialSecurityNumber"": null,
    ""Edipi"": null,
    ""ParticipantId"": """",
    ""StationId"": null,
    ""FirstName"": null,
    ""MiddleName"": null,
    ""FamilyName"": null,
    ""UserId"": ""68045b35-d411-e411-ae3f-00155d14d952"",
    ""FullAddress"": null,
    ""FullName"": null,
    ""DateofBirth"": null,
    ""Acknowledgement"": {
        ""TypeCode"": ""AA"",
        ""TargetMessage"": ""200CRME-VEIS.MVI.Services.TS-9e61b614-e2e6-4dff-b329-e452a063d06f"",
        ""AcknowledgementDetails"": []
    },
    ""QueryAcknowledgement"": {
        ""QueryResponseCode"": ""OK"",
        ""ResultCurrentQuantity"": """"
    },
    ""ExceptionOccurred"": false,
    ""ExceptionMessage"": null,
    ""SerializedSOAPRequest"": null,
    ""SerializedSOAPResponse"": null,
    ""ProcessorTimer"": 0,
    ""ServiceTimer"": 0,
    ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
    ""EcTraceLog"": null,
    ""MessageId"": ""1d7b0b3b-d392-4682-adeb-04f5c7f167cc""
}

";
        public static string PersonSearchResponse = @"
{
    ""Person"": [
        {
            ""Identifier"": null,
            ""IdentifierType"": null,
            ""PhoneNumber"": """",
            ""GenderCode"": ""M"",
            ""BirthDate"": ""19800101"",
            ""StatusCode"": null,
            ""IsDeceased"": null,
            ""DeceasedDate"": """",
            ""IdentifyTheft"": """",
            ""Address"": {
                ""Use"": 0,
                ""StreetAddressLine"": null,
                ""City"": null,
                ""PostalCode"": null,
                ""Country"": null,
                ""State"": null
            },
            ""NameList"": [
                {
                    ""GivenName"": ""FOURTH"",
                    ""FamilyName"": ""EZTESTALIAS"",
                    ""MiddleName"": ""MIDDLE"",
                    ""NamePrefix"": """",
                    ""NameSuffix"": ""SR"",
                    ""Use"": 0,
                    ""NameType"": ""Legal""
                },
                {
                    ""GivenName"": ""ONE"",
                    ""FamilyName"": ""ALIAS"",
                    ""MiddleName"": ""MID"",
                    ""NamePrefix"": """",
                    ""NameSuffix"": ""SR"",
                    ""Use"": 0,
                    ""NameType"": ""Alias""
                },
                {
                    ""GivenName"": """",
                    ""FamilyName"": ""SMITH"",
                    ""MiddleName"": """",
                    ""NamePrefix"": """",
                    ""NameSuffix"": """",
                    ""Use"": 0,
                    ""NameType"": ""Maiden""
                }
            ],
            ""CorrespondingIdList"": [
                {
                    ""PatientIdentifier"": ""1008591712V479586"",
                    ""IdentifierType"": ""NI"",
                    ""AssigningFacility"": ""200M"",
                    ""AssigningAuthority"": ""USVHA"",
                    ""RawValueFromMvi"": ""1008591712V479586^NI^200M^USVHA^P"",
                    ""AuthorityOid"": null,
                    ""OrganizationName"": null,
                    ""UserId"": ""00000000-0000-0000-0000-000000000000"",
                    ""UserFirstName"": null,
                    ""UserLastName"": null,
                    ""LogTiming"": false,
                    ""LogSoap"": false,
                    ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
                    ""MessageId"": ""28981e98-a09c-4c41-ae08-ef0dc259675a""
                }
            ],
            ""ReplacementIdList"": [],
            ""RecordSource"": ""MVI"",
            ""Url"": null
        },
        {
            ""Identifier"": null,
            ""IdentifierType"": null,
            ""PhoneNumber"": """",
            ""GenderCode"": ""M"",
            ""BirthDate"": ""19800101"",
            ""StatusCode"": null,
            ""IsDeceased"": null,
            ""DeceasedDate"": """",
            ""IdentifyTheft"": """",
            ""Address"": {
                ""Use"": 0,
                ""StreetAddressLine"": null,
                ""City"": null,
                ""PostalCode"": null,
                ""Country"": null,
                ""State"": null
            },
            ""NameList"": [
                {
                    ""GivenName"": ""FIFTH"",
                    ""FamilyName"": ""EZTESTALIAS"",
                    ""MiddleName"": ""MIDDLE"",
                    ""NamePrefix"": """",
                    ""NameSuffix"": ""SR"",
                    ""Use"": 0,
                    ""NameType"": ""Legal""
                },
                {
                    ""GivenName"": ""ONE"",
                    ""FamilyName"": ""ALIAS"",
                    ""MiddleName"": ""MID"",
                    ""NamePrefix"": """",
                    ""NameSuffix"": ""SR"",
                    ""Use"": 0,
                    ""NameType"": ""Alias""
                },
                {
                    ""GivenName"": """",
                    ""FamilyName"": ""SMITH"",
                    ""MiddleName"": """",
                    ""NamePrefix"": """",
                    ""NameSuffix"": """",
                    ""Use"": 0,
                    ""NameType"": ""Maiden""
                }
            ],
            ""CorrespondingIdList"": [
                {
                    ""PatientIdentifier"": ""1008591712V479586"",
                    ""IdentifierType"": ""NI"",
                    ""AssigningFacility"": ""200M"",
                    ""AssigningAuthority"": ""USVHA"",
                    ""RawValueFromMvi"": ""1008591712V479586^NI^200M^USVHA^P"",
                    ""AuthorityOid"": null,
                    ""OrganizationName"": null,
                    ""UserId"": ""00000000-0000-0000-0000-000000000000"",
                    ""UserFirstName"": null,
                    ""UserLastName"": null,
                    ""LogTiming"": false,
                    ""LogSoap"": false,
                    ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
                    ""MessageId"": ""28981e98-a09c-4c41-ae08-ef0dc259675a""
                }
            ],
            ""ReplacementIdList"": [],
            ""RecordSource"": ""MVI"",
            ""Url"": null
        }

    ],
    ""ExceptionOccured"": false,
    ""Message"": ""Your search in MVI found 1 matching record(s)."",
    ""RawMviExceptionMessage"": null,
    ""Acknowledgement"": {
        ""TypeCode"": ""AA"",
        ""TargetMessage"": ""200CRME-VEIS.MVI.Services.TS-0e2a077d-ac81-4e61-a69e-4ed2beb3856e"",
        ""AcknowledgementDetails"": [
            {
                ""Code"": {
                    ""CodeSystemName"": ""MVI"",
                    ""Code"": ""132"",
                    ""DisplayName"": ""IMT""
                },
                ""Text"": ""Identity Match Threshold""
            },
            {
                ""Code"": {
                    ""CodeSystemName"": ""MVI"",
                    ""Code"": ""120"",
                    ""DisplayName"": ""PDT""
                },
                ""Text"": ""Potential Duplicate Threshold""
            }
        ]
    },
    ""QueryAcknowledgement"": {
        ""QueryResponseCode"": ""OK"",
        ""ResultCurrentQuantity"": ""1""
    },
    ""OrganizationName"": null,
    ""ExceptionOccurred"": false,
    ""ExceptionMessage"": null,
    ""SerializedSOAPRequest"": null,
    ""SerializedSOAPResponse"": null,
    ""ProcessorTimer"": 0,
    ""ServiceTimer"": 0,
    ""CorrelationId"": ""00000000-0000-0000-0000-000000000000"",
    ""EcTraceLog"": null,
    ""MessageId"": ""dcc06d86-d574-49b0-838d-263e5e670225""
}

";
    }
}
