﻿using System;
using System.Text;
using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;


namespace Iris.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.IrisCreateInteractionRequest)]
    [DataContract]
    public class IrisCreateInteractionRequest : MessageBase
    {
        [DataMember(IsRequired = true)]
        public string incidentNumber { get; set; }
        [DataMember]
        public string firstName { get; set; }
        [DataMember]
        public string lastName { get; set; }
        [DataMember(IsRequired = false)]
        public string ssn { get; set; }
        [DataMember(IsRequired = true)]
        public string issueText { get; set; }
        [DataMember(IsRequired = true)]
        public string methodOfContact { get; set; }
        [DataMember(IsRequired = true)]
        public string methodOfContactData { get; set; }
        [DataMember]
        public string relationToVet { get; set; }
        [DataMember(IsRequired = true)]
        public string institution { get; set; }
        [DataMember]
        public string organizationName { get; set; }
        [DataMember(IsRequired = true)]
        public string contactDate { get; set; }
    }
}
