﻿using System;
using System.Text;
using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;

namespace Iris.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.IrisCreateInteractionResponse)]
    [DataContract]
    public class IrisCreateInteractionResponse : MessageBase
    {
        [DataMember]
        public string InteractionID { get; set; }
        [DataMember]
        public bool ExceptionOccurred { get; set; }
        [DataMember]
        public string ExceptionMessage { get; set; }
    }
}
