﻿using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
using VRM.Integration.Servicebus.Extensions;

namespace Medallia.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.MedalliaUpdateStatusRequest)]
    [DataContract]
    public class UpdateStatusRequest : MessageBaseExtensions
    {
        [DataMember]
        public string SurveyID { get; set; }
        [DataMember]
        public string Status { get; set; }
    }
}
