﻿using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
using VRM.Integration.Servicebus.Extensions;

namespace Medallia.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.RetrieveFromS3Response)]
    [DataContract]
    public class RetrieveFromS3Response : MessageBaseExtensions
    {
        [DataMember]
        public bool ExceptionOccurred { get; set; }
        [DataMember]
        public string ExceptionMessage { get; set; }
    }
}
