using System;

using System.Runtime.Serialization;
using VEIS.Core.Messages;

namespace VIMT.SchoolSolutionService.Messages
{
	[DataContract]
	/// <summary>
	/// </summary>
	/// <param name=none></param>
	/// <returns>none</returns>
	public class VIMTSchoolSolutionRequest : VEISEcRequestBase//MessageBase
    {

		[DataMember]
		public Guid RelatedParentId { get; set; }
		[DataMember]
		public string RelatedParentEntityName { get; set; }
		[DataMember]
		public string RelatedParentFieldName { get; set; }
		[DataMember]
		public bool LogTiming { get; set; }
		[DataMember]
		public bool LogSoap { get; set; }
		[DataMember]
		public bool Debug { get; set; }
		[DataMember]
		public HeaderInfo LegacyServiceHeaderInfo { get; set; }
		[DataMember]
		public int InputValue { get; set; }
	}
}
