using System;
using System.Runtime.Serialization;
using VEIS.Core.Messages;


namespace VEIS.Messages.VideoVistService
{
    [DataContract]
    public class VEISVideoVistUpdateResponse : VEISEcResponseBase
    {
        public VEISVideoVistUpdateResponse()
        {
            MessageId = Guid.NewGuid().ToString();
        }
         

        [DataMember]
        public string HttpStatusCode { get; set; }

        [DataMember]
        public EcWriteResults EcWriteResults { get; set; }

        [DataMember]
        public bool ExceptionOccured { get; set; }
         
    }
}