﻿namespace VEIS.Utilities.Models
{
    public class VeisConfig
    {
        public string AuditUrl { get; set; }
        public string OrgOverride { get; set; }
        public string OrgName { get; set; }
        public bool GetSensitiveInfo { get; set; }
        public bool EnableAuditing { get; set; }
        public bool LogTimer { get; set; }
        public bool LogSoap { get; set; }
        public string UserSensLevel { get; set; }
        public string UserName { get; set; }
        public string StationNumber { get; set; }
        public string CssName { get; set; }
        public VeisConfiguration VeisConfiguration { get; set; }
    }

    public class VeisConfiguration
    {
        public CRMAuthTokenConfiguration CRMAuthInfo { get; set; }
        public VEISSvcLOBConfiguration SvcConfigInfo { get;set;}
    }
}
