﻿using System;
using System.Text;
using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
//using VRM.Integration.Servicebus.Extensions;

namespace WHH.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.WHHUpdateInteractionRequest)]
    [DataContract]
    public class WHHUpdateInteractionRequest : MessageBase
    {
        [DataMember]
        public string OrganizationName { get; set; }
        [DataMember]
        public string CaseId { get; set; }
        [DataMember]
        public string Acceptance { get; set; }
        [DataMember]
        public string AcceptanceNotes { get; set; }
    }
}
