﻿using System;
using System.Text;
using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
//using VRM.Integration.Servicebus.Extensions;

namespace WHH.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.WHHUpdateStatusResponse)]
    [DataContract]
    public class WHHUpdateStatusResponse : MessageBase
    {
        [DataMember]
        public string InteractionID { get; set; }
        [DataMember]
        public bool ExceptionOccurred { get; set; }
        [DataMember]
        public string ExceptionMessage { get; set; }
    }
}
