﻿using System;
using System.ComponentModel.Composition;
using VRM.Integration.Servicebus.Core;
using WHH.VEFT.Messages;
using WHH.VEFT.Processors;
//using VRM.Integration.Servicebus.Extensions;

namespace WHH.VEFT.MessageHandler
{
    [Export(typeof(IMessageHandler))]
    [ExportMetadata("MessageType", MessageRegistry.WHHCreateInteractionRequest)]
    class WHHCreateInteractionMessageHandler : RequestResponseHandler
    {
        public override IMessageBase HandleRequestResponse(object message)
        {
            try
            {
                //LogMessageReceipt(message);
                Logger.Instance.Info(message);
                var processor = new WHHCreateInteractionProcessor();
                return processor.Execute((WHHCreateInteractionRequest)message);
            }
            catch (Exception ex)
            {
                Logger.Instance.Error(ex);
                //var exMessage = "";
                //if (ex.Message != null)
                //    exMessage = ex.Message;
                //else
                //    exMessage = "An exception occurred while trying to instantiate the processor in VIMT.";
                //WHHCreateInteractionResponse response = new WHHCreateInteractionResponse()
                //{
                //    ExceptionOccurred = true,
                //    ExceptionMessage = exMessage
                //};
                return null;
                //throw new Exception(string.Format("Medallia.VEFT.MedalliaUpdateStatusStubRequest Error: {0}", ex.Message), ex);
            }
        }
    }
}
