using System;
using System.Runtime.CompilerServices;

namespace VRM.VEFT.Workflow.Messages
{
	public class CorrespondingIDs
	{
		public string AssigningAuthority
		{
			get;
			set;
		}

		public string AssigningFacility
		{
			get;
			set;
		}

		public string AuthorityOid
		{
			get;
			set;
		}

		public string IdentifierType
		{
			get;
			set;
		}

		public string OrganizationName
		{
			get;
			set;
		}

		public string PatientIdentifier
		{
			get;
			set;
		}

		public string RawValueFromMvi
		{
			get;
			set;
		}

		public string UserFirstName
		{
			get;
			set;
		}

		public Guid UserId
		{
			get;
			set;
		}

		public string UserLastName
		{
			get;
			set;
		}

		public CorrespondingIDs()
		{
		}

		public override string ToString()
		{
			object[] patientIdentifier = new object[] { this.PatientIdentifier, this.IdentifierType, this.AssigningFacility, this.AssigningAuthority };
			return string.Format("{0}^{1}^{2}^{3}", patientIdentifier);
		}
	}
}