using System;
using System.Runtime.CompilerServices;
using System.Text;

namespace VRM.VEFT.Workflow.Messages
{
	public class CorrespondingIdsResponse
	{
		private byte[] _ssnBytes;

		public CorrespondingIDs[] CorrespondingIdList
		{
			get;
			set;
		}

		public string DateofBirth
		{
			get;
			set;
		}

		public string Edipi
		{
			get;
			set;
		}

		public bool ExceptionOccured
		{
			get;
			set;
		}

		public string FamilyName
		{
			get;
			set;
		}

		public string FirstName
		{
			get;
			set;
		}

		public string FullAddress
		{
			get;
			set;
		}

		public string FullName
		{
			get;
			set;
		}

		public string Message
		{
			get;
			set;
		}

		public string MessageId
		{
			get;
			set;
		}

		public string MiddleName
		{
			get;
			set;
		}

		public string OrganizationName
		{
			get;
			set;
		}

		public string ParticipantId
		{
			get;
			set;
		}

		public string PhoneNumber
		{
			get;
			set;
		}

		public string RawMviExceptionMessage
		{
			get;
			set;
		}

		public string SocialSecurityNumber
		{
			get
			{
				return (this._ssnBytes == null ? "" : Encoding.UTF8.GetString(this._ssnBytes));
			}
			set
			{
				if (value != null)
				{
					this._ssnBytes = Encoding.UTF8.GetBytes(value);
				}
				else
				{
					this._ssnBytes = null;
				}
			}
		}

		public string Url
		{
			get;
			set;
		}

		public Guid UserId
		{
			get;
			set;
		}

		public CorrespondingIdsResponse()
		{
		}
	}
}