﻿using Microsoft.Xrm.Sdk;
using Microsoft.Xrm.Sdk.Query;
using MVI_Search.Plugins.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace MVI_Search.Plugins
{
    public class RemoveAttachmentAction : BaseAttachmentAction
    {
        public override void Execute(ActionContext localContext, VeisConfig config, string siteUrl, string listName, string userName, string password)
        {
            SharePointRemoveLOBReq request = new SharePointRemoveLOBReq()
            {
                SharepointSite = siteUrl,
                SharepointList = listName,
                SharepointUsername = userName,
                SharepointPassword = password,
                SharepointID = localContext.WorkflowExecutionContext.InputParameters["SharepointID"].ToString()
            };

            SharePointRemoveLOBRes response = WebApiUtility.SendReceiveVeisRequest<SharePointRemoveLOBRes>(config, "Remove", request);
        }
    }
}
