﻿using System;
using System.Text;
using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
using VRM.Integration.Servicebus.Extensions;


namespace Medallia.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.CreateInteractionRequest)]
    [DataContract]
    public class CreateInteractionRequest : MessageBaseExtensions
    {
        [DataMember]
        public string OrganizationName { get; set; }
        [DataMember]
        public string ContactFirstName { get; set; }
        [DataMember]
        public string ContactLastName { get; set; }
        [DataMember]
        public string DateOfContact { get; set; }
        [DataMember]
        public string SurveyID { get; set; }
        [DataMember]
        public string LastFour { get; set; }
        [DataMember]
        public string CallbackNumber { get; set; }
        [DataMember]
        public string ExperienceScore { get; set; }
        [DataMember]
        public string ExperienceComments { get; set; }
        [DataMember]
        public string SurveyLink { get; set; }
        [DataMember]
        public string ContactEmail { get; set; }
        [DataMember]
        public string DateOfBirth { get; set; }
        [DataMember]
        public string FeedbackType { get; set; }
        [DataMember]
        public string StationID { get; set; }
        [DataMember]
        public string AlertType { get; set; }
        [DataMember]
        public string SurveyGroup { get; set; }
    }
}
