﻿using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
using VRM.Integration.Servicebus.Extensions;

namespace Medallia.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.RetrieveFromS3Request)]
    [DataContract]
    public class RetrieveFromS3Request : MessageBaseExtensions
    {
        [DataMember]
        public string OrganizationName { get; set; }
    }
}
