﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using PatsrSharepointLOB.Messages;
using Swashbuckle.Swagger.Annotations;
using VIMT.SchoolSolutionService.Messages;
using VIMT.SchoolSolutionService.Processors;

namespace PatsrSharepointLOB.Controllers
{
    public class SchoolSvcLOBController : ApiController
    {
        // GET api/values
        [SwaggerOperation("GetAll")]
        public IEnumerable<string> Get()
        {
            return new string[] { "value1", "value2" };
        }

        // POST api/values
        [SwaggerOperation("Create")]
        [SwaggerResponse(HttpStatusCode.Created)]
        public SchoolLOBRes Post([FromBody]SchoolLOBReq value)
        {
            SchoolSolnLOBProcessor processor = new SchoolSolnLOBProcessor();
            SchoolLOBRes response = (SchoolLOBRes)processor.Execute<SchoolLOBRes>(value);
            return response;
        }
    }
}
