﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.SharePoint.Client;
using System;
using System.Net;

namespace PatsrSharepointLOB
{
    public class SharepointApiUtility
    {
        public const int CredOffset = 5;

        public SharepointApiUtility()
        {
        }

        private static void MixedAuthRequest(object sender, WebRequestEventArgs e)
        {
            try
            {
                e.WebRequestExecutor.RequestHeaders.Add("X-FORMS_BASED_AUTH_ACCEPTED", "f");
            }
            catch (Exception exception)
            {
                string str = string.Concat("Error setting authentication header: ", exception.Message);
                throw new Exception(string.Format("An error has occurred in the SharepointUtility: {0}", str));
            }
        }

        public static void SetupRequestAuthentication(ClientContext clientContext, NetworkCredential creds)
        {
            clientContext.ExecutingWebRequest += new EventHandler<WebRequestEventArgs>(SharepointApiUtility.MixedAuthRequest);
            clientContext.AuthenticationMode = ClientAuthenticationMode.Default;
            clientContext.Credentials = creds;
        }
    }
}