﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using VIMT.VeteranWebService.Messages;
using WHHBGSGateway.Messages;
using VRM.Integration.Servicebus.Core;
using VRMRest.WebApi;

namespace PATSRUnitTests
{
    [TestClass]
    public class UnitTest1
    {
        private static Guid _crmeUserId = Guid.Parse("45E1672C-54B4-E411-ACD8-00155D5575E0");

        //<http://vrm-crm/IMS/userdefined/edit.aspx?etc=8&id=%7b45E1672C-54B4-E411-ACD8-00155D5575E0%7d>
        private static string _crmeOrg = "VRMUDOCONFIG";

        private static string onPremiseVIMTDACString = "https://DNS.URL/INT/VEFT/VINEXT"; //VINeXt on BAH, through LB/RP - http

        private static WebServiceDetails _OnPremDACwsd = null;
        private static Uri _onPremDACUri = null;

        #region Initialize
        [TestInitialize]
        public void testInit()
        {
            _onPremDACUri = new Uri(onPremiseVIMTDACString);

            _OnPremDACwsd = new WebServiceDetails()
            {
                TargetURL = onPremiseVIMTDACString,
                WSUserName = "VEFTNPCChannon",
                Password = "VADlMmsp4DKQ27HBaIwI"
            };
        }
        #endregion Initialize

        [TestMethod]
        public void findPersonBySSN()
        {
            var req = new WHH_SLGatewayRequest
            {
                OrganizationName = "UDODEV",                
                LegacyServiceHeaderInfo = _headerInfo,
                SSN = "666551414"// "555668899"// "666666666"//"000345678"//// //"000345678"//"123456789"// "123123123"//"222222222"//"111111111"//"666551414"

            };
            var res = WebApiUtility.SendReceive<WHH_SLGatewayRespone>(_onPremDACUri, "WHH_SLGatewayRequest", req, null, _OnPremDACwsd);
            //var res = req.SendReceive<WHH_SLGatewayRespone>(MessageProcessType.Local);
            var test = res.MessageId;


        }


        public HeaderInfo _headerInfo
        {
            get
            {
                return new HeaderInfo()
                {
                    ApplicationName = "CRMUD",
                    ClientMachine = "IP          ",
                    LoginName = "281TUSER06",
                    StationNumber = "328"
                    //ApplicationName = "CRMUD",
                    //ClientMachine = "IP      ",
                   // LoginName = "vacogrossj",
                   // StationNumber = "317"
                    //ApplicationName = "CPnE-WS",
                   // ClientMachine = "IP         ",
                    //LoginName = "TYZK679",
                   // Password = "ANDREA11984#1",
                    //StationNumber = "741"
                };
            }
        }
    }
}
