﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VEIS.Security.Entities
{
    public class AzureAuthResult
    {
        /// <summary>
        /// Gets or sets the authentication token.
        /// </summary>
        /// <value>
        /// The authentication token.
        /// </value>
        public string AuthToken { get; set; }

        /// <summary>
        /// Gets or sets the token expires on.
        /// </summary>
        /// <value>
        /// The token expires on.
        /// </value>
        public DateTimeOffset ExpiresOn { get; set; }
    }
}

