﻿using System;
using System.ComponentModel.Composition;
using System.Runtime.Serialization;
using VRM.Integration.Servicebus.Core;
using VRM.Integration.Servicebus.Extensions;

namespace WHH.VEFT.Messages
{
    [Export(typeof(IMessageBase))]
    [ExportMetadata("MessageType", MessageRegistry.WHHUpdateStatusRequest)]
    [DataContract]
    public class WHHUpdateStatusRequest : MessageBaseExtensions
    {
        [DataMember]
        public string OrganizationName { get; set; }
        [DataMember]
        public string SurveyID { get; set; }
        [DataMember]
        public string CaseId { get; set; }
        [DataMember]
        public string Status { get; set; }
        [DataMember]
        public string DispositionNotes { get; set; }
        [DataMember]
        public string ModifiedBy { get; set; }
        [DataMember]
        public string ModifiedOn { get; set; }
    }
}