﻿using System;
using System.Reflection;
using VRM.Integration.Servicebus.Core;

namespace WHH.VEFT.WebApi.Configuration
{
    public class VEFTSecurityConfiguration : ObjectConfigHandler
    {
        public static VEFTSecurityConfiguration Current
        {
            get
            {
                var customConfigurationFileReader = new CustomConfigurationFileReader();

                var section = customConfigurationFileReader.GetCustomConfig<VEFTSecurityConfiguration>(ConfigurationLocation.ConfigDefiningAssemblyPath,
                     ConfigurationLocation.GetConfigFilePath("EC"),
                    "VEFTSecurityConfiguration");

                if (section == null)
                    throw new Exception("The VEFTSecurityConfiguration Security configuration section has not been specified");

                return section;
            }
        }

        public string WHH_URI { get; set; }

        public bool UseMutualAuth { get; set; }
        public string ClientCertThumbprint { get; set; }

        public string ClientCertName { get; set; }
        #region oldcode
        //public static string StripFileNameFromPath(string path)
        //{
        //    return path.Substring(0, path.LastIndexOf(@"\", System.StringComparison.Ordinal));
        //}

        //public static string ConfigFilePath
        //{
        //    get
        //    {
        //        //VINEXT:
        //        //var location = StripFileNameFromPath(Assembly.GetExecutingAssembly().Location);
        //        //var location = System.AppDomain.CurrentDomain.BaseDirectory;
        //        var location = System.AppDomain.CurrentDomain.RelativeSearchPath;

        //        if (location == null)
        //        {
        //            location = StripFileNameFromPath(Assembly.GetExecutingAssembly().Location);
        //        }

        //        return string.Format("{0}\\" + "VIMT.Config", location);
        //    }
        //}

        //public static string ConfigDefiningAssemblyPath
        //{

        //    get
        //    {
        //        //VINEXT: Changed location to the bin directory
        //        var location = Assembly.GetExecutingAssembly().CodeBase;
        //        if (location.EndsWith("dll"))
        //        {
        //            location = Assembly.GetExecutingAssembly().Location;
        //        }
        //        return location;

        //        //return "C:\\dh\\RT\\VINextWebApi2\\VINextWebApi2\\VRM.Integration.Servicebus.Core.dll";
        //        //return 
        //    }
        //}
        #endregion
    }
    public class MyServiceProvider : IServiceProvider
    {
        public object GetService(Type serviceType)
        {
            throw new NotImplementedException();
        }
    }
}
