using Microsoft.Xrm.Sdk;
using System;

namespace VRM.VEFT.Workflow.Helpers
{
	public interface ILogger
	{
		bool setDebug
		{
			set;
		}

		Guid setEntityId
		{
			get;
			set;
		}

		string setEntityName
		{
			get;
			set;
		}

		bool setGranularTiming
		{
			set;
		}

		string setMethod
		{
			get;
			set;
		}

		string setModule
		{
			get;
			set;
		}

		IOrganizationService setService
		{
			set;
		}

		ITracingService setTracingService
		{
			set;
		}

		bool setTxnTiming
		{
			set;
		}

		void WriteDebugMessage(string message);

		void WriteGranularTimingMessage(string message);

		void WriteToFile(string message);

		void WriteTxnTimingMessage(string message);
	}
}