using System;
using System.Runtime.CompilerServices;

namespace VRM.VEFT.Workflow.Messages
{
	public class SelectedPersonRequest
	{
		public string AssigningAuthority
		{
			get;
			set;
		}

		public string AssigningFacility
		{
			get;
			set;
		}

		public string DateofBirth
		{
			get;
			set;
		}

		public bool Debug
		{
			get;
			set;
		}

		public bool Debugnothing
		{
			get;
			set;
		}

		public string Edipi
		{
			get;
			set;
		}

		public string FamilyName
		{
			get;
			set;
		}

		public string FetchMessageProcessType
		{
			get;
			set;
		}

		public string FileNumber
		{
			get;
			set;
		}

		public string FirstName
		{
			get;
			set;
		}

		public string FullAddress
		{
			get;
			set;
		}

		public string FullName
		{
			get;
			set;
		}

		public string ICN
		{
			get;
			set;
		}

		public string IdentifierClassCode
		{
			get;
			set;
		}

		public string IdentifierType
		{
			get;
			set;
		}

		public HeaderInfo LegacyServiceHeaderInfo
		{
			get;
			set;
		}

		public bool LogSoap
		{
			get;
			set;
		}

		public bool LogTiming
		{
			get;
			set;
		}

		public string MessageId
		{
			get;
			set;
		}

		public string MiddleName
		{
			get;
			set;
		}

		public bool noAddPerson
		{
			get;
			set;
		}

		public string OrganizationName
		{
			get;
			set;
		}

		public long participantID
		{
			get;
			set;
		}

		public string PatientSearchIdentifier
		{
			get;
			set;
		}

		public string RawValueFromMvi
		{
			get;
			set;
		}

		public string RecordSource
		{
			get;
			set;
		}

		public string RelatedParentEntityName
		{
			get;
			set;
		}

		public string RelatedParentFieldName
		{
			get;
			set;
		}

		public Guid RelatedParentId
		{
			get;
			set;
		}

		public string SocialSecurityNumber
		{
			get;
			set;
		}

		public string UserFirstName
		{
			get;
			set;
		}

		public Guid UserId
		{
			get;
			set;
		}

		public string UserLastName
		{
			get;
			set;
		}

		public int VeteranSensitivityLevel
		{
			get;
			set;
		}

		public SelectedPersonRequest()
		{
		}

		public override string ToString()
		{
			object[] patientSearchIdentifier = new object[] { this.PatientSearchIdentifier, null, null, null };
			patientSearchIdentifier[1] = (string.IsNullOrEmpty(this.IdentifierType) ? "NI" : this.IdentifierType);
			patientSearchIdentifier[2] = (string.IsNullOrEmpty(this.AssigningFacility) ? "200DOD" : this.AssigningFacility);
			patientSearchIdentifier[3] = (string.IsNullOrEmpty(this.AssigningAuthority) ? "USDOD" : this.AssigningAuthority);
			return string.Format("{0}^{1}^{2}^{3}", patientSearchIdentifier);
		}
	}
}